容器管理/容器管理相关接口
DELETEContainer Management APIs起始版本 5.3.0同步需要认证
从容器端点删除容器资源
从容器端点删除容器资源
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
systemTagsList系统标签
userTagsList用户标签
响应状态
DELETE 接口成功时返回空对象,失败时返回标准错误结构。
成功响应
{}错误响应
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}请求地址
DELETE/zstack/v1/container/management/endpoint/{uuid}/resources/delete
/zstack/v1/container/management/endpoint/{uuid}/resources/delete
请求示例
curl -X DELETE 'http://{host}/zstack/v1/container/management/endpoint/{uuid}/resources/delete' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{}变更历史
此 API 暂无变更历史记录。
